/* -----------------------------------------------------------------------------
 *    ___   __    __       _      __              __   __
 *   / _ | / /__ / /____ _| | /| / /__  ___  ____/ /  / /____ ____
 *  / __ |/  '_//  '_/ // / |/ |/ / _ `/ -_)/ __/ _ \/ __/ -_) __/
 * /_/ |_/_/\_\/_/\_\\_,_/|__/|__/\_,_/\__/ \__/_//_/\__/\__/_/
 *
 * 080824-1 (c)2009 Elektor International Media B.V.
 * -------------------------------------------------------------------------- */

#ifndef _HD44780_H_
#define _HD44780_H_

/* -----------------------------------------------------------------------------
 * Global Defines
 * -------------------------------------------------------------------------- */
// character LCD dimensions
#define LCD_NUMBER_OF_LINES  2
#define LCD_LINE_WIDTH      16

// character LCD line ID
enum LCD_LINE_ID {
	LCD_FIRST_LINE  = 0,
	LCD_SECOND_LINE = 1,
	LCD_THIRD_LINE  = 2,
	LCD_FOURTH_LINE = 3
};



/* -----------------------------------------------------------------------------
 * Public Library Function Prototypes
 * -------------------------------------------------------------------------- */
extern void LCD_initialize(void);
extern void LCD_clear(void);
extern void LCD_move_cursor(unsigned char y, unsigned char x);
extern void LCD_print_text(char *string);
extern void LCD_print_character(char character);
extern void LCD_int1(unsigned short data);
extern void LCD_int2(unsigned short data);
extern void LCD_int3(unsigned short data);
extern void LCD_int4(unsigned short data);
extern void LCD_int5(unsigned short data);

#endif // _HD44780_H_
